const initCache = require('../src');

const cache = initCache({ cacheElemRefresh: 5000, cacheRefresh: 8000 });

cache['cacheKey1'] = { data: 42 };

let msTotal = 0;
setInterval(() => {
  console.log('cache', cache);
  if (!cache['cacheKey1']) {
    console.log('cache element successfully deleted');
    cache['cacheKey2'] = { data: 'hello' };
  }
  if (!cache['cacheKey1'] && !cache['cacheKey2']) {
    console.log('whole cache successfully deleted');
    process.exit(0);
  }
  msTotal += 1000;
}, 1000);
